I&#39;m trying to follow the instructions provided on <a href="http://www.haskell.org/haskellwiki/Gtk2Hs">http://www.haskell.org/haskellwiki/Gtk2Hs</a> to install Gtk2Hs in Windows 7 (64 bit) and running into problems. <br>
Originally I was trying to get wxHaskell installed, but it kept crashing trying to build the monolithic library due to an apparent bug in the latest port of GCC, so after talking with some of the people in #haskell I was advised that Gtk2Hs was better supported and might be easier to get working. For the most part, that appears to be true but I (as well as several others it seems) am running into a problem where cabal can&#39;t seem to find quite a few of the Gtk+ libraries (specifically z, cairo, gobject, glib, and intl). Near as I can tell everything should be functioning, and running pkg-config --modversion glib-2.0 outputs &quot;2.20.3&quot; so at least pkg-config seems to be able to find glib. Looking in the Gtk+\lib\pkgconfig folder I see pc files for everything but z and intl listed. Running cabal install gtk2hs-buildtools also succeeds, it&#39;s only when I get to the cabal install gtk step that things fail.<br>
<br>cmd console output for the usual environment variables:<br><br>INCLUDE: C:\libxml\include;C:\Program Files (x86)\Gtk+\include<br>LIB: C:\libxml\lib;C:\Program Files (x86)\Gtk+\lib<br>PKG_CONFIG_PATH: C:\libxml\lib\pkgconfig;C:\Program Files (x86)\Gtk+\lib\pkgconfig<br>
<br>I trimmed the PATH output below for everyones sanity. The vast majority was stuff in the Windows folder or one of dozens of entries dumped in there by some version or other of Java.<br><br>PATH:<br>C:\Program Files (x86)\Haskell\bin;<br>
C:\Program Files (x86)\Haskell Platform\2011.2.0.0\lib\extralibs\bin;<br>C:\Program Files (x86)\Haskell Platform\2011.2.0.0\bin;<br>C:\MinGW\bin;<br>C:\Users\Kyle\AppData\Roaming\cabal\bin;<br>C:\Program Files (x86)\Haskell\bin;<br>
C:\Program Files (x86)\Gtk+\bin<br><br>The exact error I&#39;m getting when building is the following:<br>C:\Users\Kyle&gt;cabal install gtk<br>Warning: The package list for &#39;<a href="http://hackage.haskell.org">hackage.haskell.org</a>&#39; is 23 days old.<br>
Run &#39;cabal update&#39; to get the latest list of available packages.<br>Resolving dependencies...<br>C:\Users\Kyle\AppData\Local\Temp\cairo-0.12.05760\cairo-0.12.0\Gtk2HsSetup.hs:25:2: warning: #warning Setup.hs is guessing the version of Cabal. If compilationof Setup.hs fails use -DCABAL_VERSION_MINOR=x for Cabal version 1.x.0 when building (prefixed by --ghc-option= when using the &#39;cabal&#39; command)<br>
[1 of 2] Compiling Gtk2HsSetup      ( C:\Users\Kyle\AppData\Local\Temp\cairo-0.12.05760\cairo-0.12.0\Gtk2HsSetup.hs, C:\Users\Kyle\AppData\Local\Temp\cairo-0.12.05760\cairo-0.12.0\dist\setup\Gtk2HsSetup.o )<br>[2 of 2] Compiling Main             ( C:\Users\Kyle\AppData\Local\Temp\cairo-0.12.05760\cairo-0.12.0\Setup.hs, C:\Users\Kyle\AppData\Local\Temp\cairo-0.12.05760\cairo-0.12.0\dist\setup\Main.o )<br>
Linking C:\Users\Kyle\AppData\Local\Temp\cairo-0.12.05760\cairo-0.12.0\dist\setup\setup.exe ...<br>Configuring cairo-0.12.0...<br>setup.exe: Missing dependencies on foreign libraries:<br>* Missing C libraries: z, cairo<br>
This problem can usually be solved by installing the system packages that<br>provide these libraries (you may need the &quot;-dev&quot; versions). If the libraries<br>are already installed but in a non-standard location then you can use the<br>
flags --extra-include-dirs= and --extra-lib-dirs= to specify where they are.<br>C:\Users\Kyle\AppData\Local\Temp\glib-0.12.05760\glib-0.12.0\Gtk2HsSetup.hs:25:2: warning: #warning Setup.hs is guessing the version of Cabal. If compilation of Setup.hs fails use -DCABAL_VERSION_MINOR=x for Cabal version 1.x.0 when building (prefixed by --ghc-option= when using the &#39;cabal&#39; command)<br>
[1 of 2] Compiling Gtk2HsSetup      ( C:\Users\Kyle\AppData\Local\Temp\glib-0.12.05760\glib-0.12.0\Gtk2HsSetup.hs, C:\Users\Kyle\AppData\Local\Temp\glib-0.12.05760\glib-0.12.0\dist\setup\Gtk2HsSetup.o )<br>[2 of 2] Compiling Main             ( C:\Users\Kyle\AppData\Local\Temp\glib-0.12.05760\glib-0.12.0\Setup.hs, C:\Users\Kyle\AppData\Local\Temp\glib-0.12.05760\glib-0.12.0\dist\setup\Main.o )<br>
Linking C:\Users\Kyle\AppData\Local\Temp\glib-0.12.05760\glib-0.12.0\dist\setup\<br>setup.exe ...<br>Configuring glib-0.12.0...<br>setup.exe: Missing dependencies on foreign libraries:<br>* Missing C libraries: gobject-2.0, glib-2.0, intl<br>
This problem can usually be solved by installing the system packages that<br>provide these libraries (you may need the &quot;-dev&quot; versions). If the libraries<br>are already installed but in a non-standard location then you can use the<br>
flags --extra-include-dirs= and --extra-lib-dirs= to specify where they are.<br>cabal: permission denied<br><br><br clear="all">-R. Kyle Murphy<br>--<br>Curiosity was framed, Ignorance killed the cat.<br>